<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    
    //subtask 7 : bỏ phần tử có giá trị bằng n trong mảng cho trước
    function CatMang(paramNum, paramArray){

        // var index = paramArray.indexOf(paramNum);
        // if(index >-1){
        //     paramArray.splice(index,1);
        // }

        var newArr = paramArray.filter(item => item !== paramNum);
        return newArr;
    }

    var vTest = [2, 5, 9, 6];
    var vResult = CatMang(9,vTest);
    console.log(vResult);

   
</script>

</html>